import React from 'react'
import { NavLink } from 'react-router-dom'
import { translate } from 'cozy-ui/react/I18n'

import StyledCard from 'components/CommonKit/Card/StyledCard'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import LegalIcon from 'assets/icons/ico/legal.svg'

interface LegalContainerProps {
  t: Function
}

const LegalContainer: React.FC<LegalContainerProps> = ({
  t,
}: LegalContainerProps) => {
  return (
    <div className="legal-root">
      <div className="legal-content">
        <div className="legal-header text-14-normal-uppercase">
          {t('LEGAL.TITLE_LEGAL')}
        </div>
        <NavLink className="legal-card-link" to="parameters/Legal">
          <StyledCard>
            <div className="legal-card">
              <div className="legal-card-content">
                <StyledIcon
                  className="legal-card-content-icon"
                  icon={LegalIcon}
                  size={50}
                />
                <div className="legal-card-content-title">
                  {t('LEGAL.READ_LEGAL')}
                </div>
              </div>
            </div>
          </StyledCard>
        </NavLink>
      </div>
    </div>
  )
}

export default translate()(LegalContainer)
