import React, { useState } from 'react'
import CozyBar from 'components/ContainerComponents/CozyBar/CozyBar'
import Header from 'components/ContainerComponents/Header/Header'
import Content from 'components/ContainerComponents/Content/Content'

const LegalViewContainer: React.FC = () => {
  const [headerHeight, setHeaderHeight] = useState<number>(0)
  const defineHeaderHeight = (height: number) => {
    setHeaderHeight(height)
  }
  return (
    <React.Fragment>
      <CozyBar titleKey={'COMMON.APP_LEGAL_TITLE'} displayBackArrow={true} />
      <Header
        setHeaderHeight={defineHeaderHeight}
        desktopTitleKey={'COMMON.APP_LEGAL_TITLE'}
        displayBackArrow={true}
      ></Header>
      <Content height={headerHeight}>
        <h1>MENTIONS Légales</h1>
        <p>Mentions légales du site officiel de la Métropole de Lyon Site</p>
      </Content>
    </React.Fragment>
  )
}

export default LegalViewContainer
